// TSObject.h: interface for the TSObject class.
//
/////////////////////////////////////////////////////////////////////////

#ifndef TSOBJECT_H_
#define TSOBJECT_H_

#include "TSDef.h"

class TSString;

class AFX_EXT_CLASS TSObject
{
  public:
    
    virtual ~TSObject() {};

    virtual TSObject* NewObject() = 0;
    virtual void      Copy( TSObject * ) = 0;
    virtual TSObject* Duplicate() = 0;
    virtual TSString  StringDump( int recursive, TSString indentation ) = 0;
    virtual int       SocketString( TSString& str ) = 0;

};

#endif
